Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io
Class EmblLikeLocationParser

    java.lang.Object
      org.biojava.bio.seq.io.EmblLikeLocationParser

Deprecated. Use org.biojavax.bio.seq.io framework instead

    public class EmblLikeLocationParser

extends Object

`EmblLikeLocationParser` parses EMBL/Genbank style locations. Supported location forms:

       123
      <123 or >123
      (123.567)
      (123.567)..789
       123..(567.789)
      (123.345)..(567.789)
       123..456
      <123..567 or 123..>567 or <123..>567
       123^567
       AL123465:(123..567)

Since:
  1.2
Author:
  Keith James, Greg Cox

Method Summary
`Feature.Template` | `parseLocation(String location, Feature.Template theTemplate)` Deprecated. `parseLocation` creates a `Location` from the String and returns a stranded location.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### parseLocation

    public Feature.Template parseLocation(String location,
                                          Feature.Template theTemplate)
                                   throws BioException

  Deprecated.
  `parseLocation` creates a `Location` from the String and returns a stranded location.

  Parameters:
    `location` - a location `String`.
    `theTemplate` - the template to be filled with the parsed out location information.
  Throws:
    `BioException` - if an error occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD